Package com.io7m.waxmill.client.api

# Class WXMApplicationVersion.Builder

java.lang.Object
com.io7m.waxmill.client.api.WXMApplicationVersion.Builder

Enclosing class:
  WXMApplicationVersion

    public static final class WXMApplicationVersion.Builder
    extends java.lang.Object

Builds instances of type `WXMApplicationVersion`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

`Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `WXMApplicationVersion` | `build()` | Builds a new `WXMApplicationVersion`.
  `WXMApplicationVersion.Builder` | `from​(WXMApplicationVersionType instance)` | Fill a builder with attribute values from the provided `WXMApplicationVersionType` instance.
  `WXMApplicationVersion.Builder` | `setApplicationName​(java.lang.String applicationName)` | Initializes the value for the `applicationName` attribute.
  `WXMApplicationVersion.Builder` | `setApplicationVersion​(java.lang.String applicationVersion)` | Initializes the value for the `applicationVersion` attribute.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### from

    public final WXMApplicationVersion.Builder from​(WXMApplicationVersionType instance)
    Fill a builder with attribute values from the provided `WXMApplicationVersionType` instance. Regular attribute values will be replaced with those from the given instance. Absent optional values will not replace present values.
    Parameters:
      `instance` - The instance from which to copy values
    Returns:
      `this` builder for use in a chained invocation

  - ### setApplicationName

    public final WXMApplicationVersion.Builder setApplicationName​(java.lang.String applicationName)
    Initializes the value for the `applicationName` attribute.
    Parameters:
      `applicationName` - The value for applicationName
    Returns:
      `this` builder for use in a chained invocation

  - ### setApplicationVersion

    public final WXMApplicationVersion.Builder setApplicationVersion​(java.lang.String applicationVersion)
    Initializes the value for the `applicationVersion` attribute.
    Parameters:
      `applicationVersion` - The value for applicationVersion
    Returns:
      `this` builder for use in a chained invocation

  - ### build

    public WXMApplicationVersion build()
    Builds a new `WXMApplicationVersion`.
    Returns:
      An immutable instance of WXMApplicationVersion
    Throws:
      `java.lang.IllegalStateException` - if any required attributes are missing